List token permissions
curl --request GET \
--url https://api.datalinks.com/api/v1/user/tokens/{tokenId}/permissions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.datalinks.com/api/v1/user/tokens/{tokenId}/permissions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datalinks.com/api/v1/user/tokens/{tokenId}/permissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"restricted": true,
"permissions": [
{
"username": "<string>",
"namespace": "<string>",
"dataset": "<string>"
}
]
}{
"error_code": "UNAUTHORIZED",
"message": "Missing authentication token",
"error_message": "",
"sub_errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"error_code": "UNAUTHORIZED",
"message": "Missing authentication token",
"error_message": "",
"sub_errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"error_code": "UNAUTHORIZED",
"message": "Missing authentication token",
"error_message": "",
"sub_errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}user
List token permissions
List all permissions assigned to the specified token.
GET
/
user
/
tokens
/
{tokenId}
/
permissions
List token permissions
Authorizations
bearerAuthopenId
Use a Bearer token for authentication. Submit the token using the Authorization
header: Authorization: Bearer <token>.
Path Parameters
Token ID
⌘I